using System;
using System.IO;
using Serilog;
using Serilog.Formatting.Json;
using ToolQit;
using ToolQit.Containers;

namespace WebSharpRSS
{
    public static class Bootstrapper
    {
        public static void SetAppDefaultSettings(this DataContainer dataCon)
        {
            dataCon.Set("FaviconResolveUrl", "https://icons.duckduckgo.com/ip3/{0}.ico", false);
            dataCon.Set("LogPath", Path.Combine(Environment.CurrentDirectory, "logs", "log_.json"), false);
        }

        private static LoggerConfiguration? _configuration;
        public static void SetupLogging()
        {
            if (_configuration != null) return;
            _configuration = new LoggerConfiguration()
                .WriteTo.Console()
                .WriteTo.File(new JsonFormatter(), Caretaker.Settings.GetString("LogPath"), rollingInterval: RollingInterval.Day)
                .MinimumLevel.Verbose();
            Log.Logger = _configuration.CreateLogger();
        }
    }
}